org.bouncycastle.cms

## Class CMSProcessableFile

- java.lang.Object
- - org.bouncycastle.cms.CMSProcessableFile

All Implemented Interfaces:
  CMSProcessable

    public class CMSProcessableFile
    extends java.lang.Object
    implements CMSProcessable

a holding class for a file of data to be processed.

### Constructor Summary

Constructors
Constructor and Description
`CMSProcessableFile(java.io.File file)`
`CMSProcessableFile(java.io.File file, int bufSize)`

### Method Summary

Methods
`java.lang.Object` `getContent()` Return the file handle.
`void` `write(java.io.OutputStream zOut)` generic routine to copy out the data we want processed - the OutputStream passed in will do the handling on it's own.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CMSProcessableFile

    public CMSProcessableFile(java.io.File file)

#### CMSProcessableFile

    public CMSProcessableFile(java.io.File file,
                      int bufSize)

### Method Detail

#### write

    public void write(java.io.OutputStream zOut)
               throws java.io.IOException,
                      CMSException

Description copied from interface: `CMSProcessable`
generic routine to copy out the data we want processed - the OutputStream passed in will do the handling on it's own.

Note: this routine may be called multiple times.

Specified by:
  `write` in interface `CMSProcessable`
Throws:
  `java.io.IOException`
  `CMSException`

#### getContent

    public java.lang.Object getContent()

Return the file handle.

Specified by:
  `getContent` in interface `CMSProcessable`